com.hazelcast.config

## Class ListenerConfigReadOnly

- java.lang.Object
- - com.hazelcast.config.ListenerConfig
  - - com.hazelcast.config.ListenerConfigReadOnly

- All Implemented Interfaces:
    DataSerializable, IdentifiedDataSerializable

  Deprecated.
  this class will be removed in 4.0; it is meant for internal usage only.

      public class ListenerConfigReadOnly
      extends ListenerConfig

  Contains the configuration for a Listener.

- - ### Field Summary

    - ### Fields inherited from class com.hazelcast.config.ListenerConfig

      `className, implementation`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListenerConfigReadOnly(ListenerConfig config)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ListenerConfig` | `setClassName(String className)` Deprecated. Sets the class name of the EventListener.
    `ListenerConfig` | `setImplementation(EventListener implementation)` Deprecated. Sets the EventListener implementation.

    - ### Methods inherited from class com.hazelcast.config.ListenerConfig

      `equals, getAsReadOnly, getClassName, getFactoryId, getId, getImplementation, hashCode, isIncludeValue, isLocal, readData, toString, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ListenerConfigReadOnly

          public ListenerConfigReadOnly(ListenerConfig config)

      Deprecated.

  - ### Method Detail

    - #### setClassName

          public ListenerConfig setClassName(String className)

      Deprecated.
      Description copied from class: `ListenerConfig`
      Sets the class name of the EventListener.

      If a implementation was set, it will be removed.

      Overrides:
        `setClassName` in class `ListenerConfig`
      Parameters:
        `className` - the name of the class of the EventListener
      Returns:
        the updated ListenerConfig
      See Also:
        `ListenerConfig.setImplementation(java.util.EventListener)`, `ListenerConfig.getClassName()`

    - #### setImplementation

          public ListenerConfig setImplementation(EventListener implementation)

      Deprecated.
      Description copied from class: `ListenerConfig`
      Sets the EventListener implementation.

      If a className was set, it will be removed.

      Overrides:
        `setImplementation` in class `ListenerConfig`
      Parameters:
        `implementation` - the EventListener implementation
      Returns:
        the updated ListenerConfig
      See Also:
        `ListenerConfig.setClassName(String)`, `ListenerConfig.getImplementation()`

Copyright © 2020. All rights reserved.